<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerPulseCollectionIterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_pulse_collection_iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerPulseCollectionIterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad503c5d06e35ffa6aea19b250ef0a91d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html#ad503c5d06e35ffa6aea19b250ef0a91d">TrackerPulseCollectionIterator</a> (int index, const <a class="el" href="namespaceeic.html#a1e2ac4cbcfb6317fcd4c886ce24154f4">TrackerPulseObjPointerContainer</a> *collection)</td></tr>
<tr class="separator:ad503c5d06e35ffa6aea19b250ef0a91d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e7d976fcc2361e64c25fd23d04865a8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html#a1e7d976fcc2361e64c25fd23d04865a8">operator!=</a> (const <a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a> &amp;x) const</td></tr>
<tr class="separator:a1e7d976fcc2361e64c25fd23d04865a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7aec317002ef08af35e907e37c2fab"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html#acb7aec317002ef08af35e907e37c2fab">operator*</a> () const</td></tr>
<tr class="separator:acb7aec317002ef08af35e907e37c2fab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9704fe214e780cbeb8d620b885286a6b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html#a9704fe214e780cbeb8d620b885286a6b">operator-&gt;</a> () const</td></tr>
<tr class="separator:a9704fe214e780cbeb8d620b885286a6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8839cf28b5e79121c27cd053f8222f0e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html#a8839cf28b5e79121c27cd053f8222f0e">operator++</a> () const</td></tr>
<tr class="separator:a8839cf28b5e79121c27cd053f8222f0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00029">29</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad503c5d06e35ffa6aea19b250ef0a91d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad503c5d06e35ffa6aea19b250ef0a91d">&#9670;&nbsp;</a></span>TrackerPulseCollectionIterator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerPulseCollectionIterator::TrackerPulseCollectionIterator </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceeic.html#a1e2ac4cbcfb6317fcd4c886ce24154f4">TrackerPulseObjPointerContainer</a> *&#160;</td>
          <td class="paramname"><em>collection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00031">31</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1e7d976fcc2361e64c25fd23d04865a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e7d976fcc2361e64c25fd23d04865a8">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerPulseCollectionIterator::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a> &amp;&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8h_source.html#l00033">33</a> of file <a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00127">operator*()</a>, <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00137">operator++()</a>, and <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00132">operator-&gt;()</a>.</p>

</div>
</div>
<a id="acb7aec317002ef08af35e907e37c2fab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7aec317002ef08af35e907e37c2fab">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> eic::TrackerPulseCollectionIterator::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00127">127</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a8839cf28b5e79121c27cd053f8222f0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8839cf28b5e79121c27cd053f8222f0e">&#9670;&nbsp;</a></span>operator++()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse_collection_iterator.html">TrackerPulseCollectionIterator</a> &amp; eic::TrackerPulseCollectionIterator::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00137">137</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<a id="a9704fe214e780cbeb8d620b885286a6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9704fe214e780cbeb8d620b885286a6b">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_pulse.html">TrackerPulse</a> * eic::TrackerPulseCollectionIterator::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_collection_8cc_source.html#l00132">132</a> of file <a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_collection_8h_source.html#l00033">operator!=()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_pulse_collection_8h_source.html">TrackerPulseCollection.h</a></li>
<li>src/<a class="el" href="_tracker_pulse_collection_8cc_source.html">TrackerPulseCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
